PreloadStats (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class PreloadStats

- java.lang.Object
- - com.sleepycat.je.PreloadStats

- All Implemented Interfaces:
    Serializable

      public class PreloadStats
      extends Object
      implements Serializable

  Statistics returned from `Database.preload` or `Environment.preload(com.sleepycat.je.Database[], com.sleepycat.je.PreloadConfig)`.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNBINsLoaded()` Returns the number of BINs that were loaded into the cache during the preload() operation.
    `int` | `getNCountMemoryExceeded()` Returns the count of the number of times that the internal memory budget specified by `PreloadConfig.setInternalMemoryLimit()` was exceeded.
    `int` | `getNDBINsLoaded()` Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.
    `int` | `getNDINsLoaded()` Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.
    `int` | `getNDupCountLNsLoaded()` Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.
    `int` | `getNINsLoaded()` Returns the number of INs that were loaded into the cache during the preload() operation.
    `int` | `getNLNsLoaded()` Returns the number of LNs that were loaded into the cache during the preload() operation.
    `PreloadStatus` | `getStatus()` Returns the PreloadStatus value for the preload() operation.
    `String` | `toString()` Returns a String representation of the stats in the form of <stat>=<value>

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getNINsLoaded

          public int getNINsLoaded()

      Returns the number of INs that were loaded into the cache during the preload() operation.

    - #### getNBINsLoaded

          public int getNBINsLoaded()

      Returns the number of BINs that were loaded into the cache during the preload() operation.

    - #### getNLNsLoaded

          public int getNLNsLoaded()

      Returns the number of LNs that were loaded into the cache during the preload() operation.

    - #### getNDINsLoaded

          public int getNDINsLoaded()

      Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.

    - #### getNDBINsLoaded

          public int getNDBINsLoaded()

      Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.

    - #### getNDupCountLNsLoaded

          public int getNDupCountLNsLoaded()

      Deprecated. returns zero for data written using JE 5.0 and later, but may return non-zero values when reading older data.

    - #### getNCountMemoryExceeded

          public int getNCountMemoryExceeded()

      Returns the count of the number of times that the internal memory budget specified by `PreloadConfig.setInternalMemoryLimit()` was exceeded.

    - #### getStatus

          public PreloadStatus getStatus()

      Returns the PreloadStatus value for the preload() operation.

    - #### toString

          public String toString()

      Returns a String representation of the stats in the form of <stat>=<value>
      Overrides:
        `toString` in class `Object`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.